apiVersion: v1
kind: Pod
metadata:
  name: pod-poststart
spec:
  containers:
  - name: busybox
    #image: busybox:1.32.0
    image: registry.cn-beijing.aliyuncs.com/wangxiaochun/busybox:1.32.0
    lifecycle:
      postStart:
        exec:
          command: ["/bin/sh","-c","echo lifecycle poststart at $(date) > /tmp/poststart.log"]
    command: ['sh', '-c', 'echo The app is running at $(date) && sleep 3600']
